<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>

	<xsd:element name="TRANS_RES_LIST">
        <xsd:complexType>
		    <xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	
	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_RES_LIST"/>					
			<xsd:element ref="GET_MEETING_ROOM_LIST"/>
      <xsd:element ref="GET_CONFERENCE_TEMPLATE_LIST"/>
			<xsd:element ref="GET_PROFILE_LIST"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>
	
	<xsd:element name="GET_RES_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET_MEETING_ROOM_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

  <xsd:element name="GET_CONFERENCE_TEMPLATE_LIST">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:element ref="OBJ_TOKEN"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>

	<xsd:element name="GET_PROFILE_LIST">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

</xsd:schema>
